.header ul, .footer ul{
    list-style: none;
}

.header ul li{
    display: inline-block;
    margin-left:5px;
}
  
.header ul li a, .footer ul li a{
    text-decoration:unset;
}

#dialog{
    position: fixed;
    top :15%;
    background-color: white;;
    left:15%;
    overflow:auto;
    z-index: 10000;
    min-width: 60%;
    min-height:25%;
    transition-property: opacity;
    transition-duration: 1s;
    border-radius: 20px;
   box-shadow: 5px 5px 15px 5px grey;
   border:1px solid grey;
  }
  
  #rightDialog{
    position: fixed;
    top:0px; 
    right:0px;
    width:400px !important;
    background-color: white; 
    z-index:9999;
    height:calc(100%);
    overflow :auto;
    border-left:1px solid grey;
  }

  #leftDialog{
    position: fixed;
    top:0px; 
    left:0px;
    width:400px !important;
    background-color: white; 
    z-index:9999;   
    height:calc(100%);
    border-right:1px solid grey;
    overflow :auto;
  }
  
   #fullDialog{
    position: fixed;
    top:0px; 
    left:0px;
    width:100% ;
    background-color: white; 
    z-index:9999;   
    height:calc(100%);
    border-right:1px solid grey;
    overflow : auto;
  }
  
#DialogTitle{
    color: white;
    padding :10px;
    top:0px;
    font-size: 15px;
    text-align: center;
    cursor: move;
  }
  
  #dialog #DialogContent{
    padding :15px;
    max-height: 800px;
    overflow:auto;
    filter: alpha(opacity='70');
  }

  #DialogRighContent .container{
      width:100% !important;
  }
  
  .dialogContent, #DialogTitle{
   font-family: "Montserrat",sans-serif;    
  }
  
  .dialogContent .link{
      font-size:14px;
  }
  #divResult {
    z-index: 10040;
    position: absolute;
    height: 200px;
    padding: 5px;
    border: 1px solid grey;
    border-radius: 6px 6px 6px 6px;
    overflow: auto;
    background: none repeat scroll 0 0 white;
}

#divResult ul {
    text-align: left;
}

.txtEditor{
    border:1px solid grey;
    width:100%;
    min-height: 150px;
}

.txtEditor .toolBar{
    border-bottom:1px solid grey;
    width:100%;
    min-height : 35px;
    padding:1px;
}

.txtEditor .toolBar div {
    display: inline-block;
    border : 1px solid #bebebe;
    border-radius: 5px;
    cursor: pointer;
    width :auto;
    padding:5px;
    text-align: center;
}

.txtEditor .inputArea{
    min-height:100px;
}

.txtEditor ul {
    padding:revert;
}

.txtEditor ul li{
    list-style: unset;
}

.txtEditor table tr td{
  border :1px solid grey;
  height:30px;
  width: 30px;
}

.mainContent {
    min-height: 69vh;
}

.width100{
    width:100%;
}

.center{
   text-align: center;
}

.marginTop{
   margin-top:10px;    
}

.marginRight{
   margin-right:10px;    
}

.info label{
    margin-right:10px;
    margin-left:10px;
}

.header {
  position: sticky;
  top: 0;
  z-index: 1000;
  width: 100%;
}


.positionBottom{
    position: absolute;
    bottom: 25px;
    left: 0;
    right: 0;
    text-align: center;
}

date-box {
    display: inline-block;
    position: relative;
}
date-box input, time-box input{
    height: 34px;
    padding: 6px 12px;
    border: 1px solid #CFD8DC;
    border-radius: 4px;

}

date-box input {
    padding: 8px;
    font-size: 14px;
    width: 140px;
}

date-box .calendar {
    display: none;
    position: absolute;
    top: 110%;
    left: 0;
    background: white;
    border: 1px solid #ccc;
    padding: 8px;
    border-radius: 6px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.15);
    z-index: 100;
}

date-box table {
    border-collapse: collapse;
    width: 100%;
    text-align: center;
}

date-box th {
    color: #555;
    font-size: 12px;
}

date-box td {
    cursor: pointer;
    padding: 4px;
}

date-box td:hover {
    background: #eee;
    border-radius: 4px;
}

date-box .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 4px;
}

date-box button {
    background: none;
    border: none;
    cursor: pointer;
    font-weight: bold;
    font-size: 16px;
}


time-box {
    display: inline-block;
    position: relative;
    font-family: sans-serif;
}

time-box input {
    padding: 8px;
    font-size: 14px;
    width: 100px;
    cursor: pointer;
}

time-box input {
    padding: 8px;
    font-size: 14px;
    width: 140px;
}

time-box .time-picker {
    display: none; /* caché par défaut */
    position: absolute;
    top: 110%;
    left: 0;
    background: white;
    border: 1px solid #ccc;
    border-radius: 6px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.2);
    padding: 8px;
    z-index: 100;
}

time-box .time-picker div.selects {
    display: flex;
    gap: 4px;
    align-items: center;
    margin-bottom: 4px;
}

time-box .time-picker select {
    font-size: 14px;
    padding: 4px;
}

time-box .time-picker button {
    width: 100%;
    padding: 4px;
    border: none;
    background-color: #0078D4;
    color: white;
    border-radius: 4px;
    cursor: pointer;
}

time-box .time-picker button:hover {
    background-color: #005fa3;
}



#popupNotify{
    background-color:white;
    padding: 10px;
    border: 1px solid var(--color-border);
    border-radius: 8px;
    box-shadow: 0px 0px 10px 15px rgb(0 0 0 / 10%);
    width: 200px;
    color:black;
}